import { get, post, put, del } from './request'

// 示例接口
export const contentlPage= data => get('/front-api/portal/content/page', data)
export const contentlList = data => get('/front-api/portal/channel/list', data)
//统计
export const contentCount = id => get(`/front-api/portal/content/count/${id}`)

//栏目管理树/front-api/portal/channel/tree
export const channelTree = data => get('/front-api/portal/channel/tree', data)

//内容详情
export const portalCount = id => get(`/front-api/portal/content/${id}`)
//站点信息
export const simpleAllList = data => get('/front-api/portal/site/list-all-simple', data)

export const getUserInfo = () => get('/user/info')
export const updateUser = data => put('/user/update', data)
export const deleteUser = id => del(`/user/delete/${id}`)

// 其他模块接口...
// export const getData = params => get('/api/data', params)